{
  "type" : "record",
  "name" : "RegionStatistics",
  "namespace" : "org.gel.models.coverage.avro",
  "doc" : "Represents a group of coverage statistics over a genomic region",
  "fields" : [ {
    "name" : "avg",
    "type" : "float",
    "doc" : "The average depth of coverage"
  }, {
    "name" : "sd",
    "type" : "float",
    "doc" : "The depth of coverage standard deviation"
  }, {
    "name" : "med",
    "type" : "float",
    "doc" : "The median depth of coverage"
  }, {
    "name" : "gc",
    "type" : [ "null", "float" ],
    "doc" : "The GC content"
  }, {
    "name" : "pct75",
    "type" : "float",
    "doc" : "The 75th percentile of coverage distribution"
  }, {
    "name" : "pct25",
    "type" : "float",
    "doc" : "The 25th percentile of coverage distribution"
  }, {
    "name" : "bases",
    "type" : [ "null", "int" ],
    "doc" : "The number of bases in the region (this is nullable as it can be calculated from coordinates of the region)"
  }, {
    "name" : "bases_lt_15x",
    "type" : [ "null", "int" ],
    "doc" : "The number of bases in the region with a coverage less than 15x (this is nullable as it can be calculated from coordinates of the region)"
  }, {
    "name" : "bases_gte_15x",
    "type" : [ "null", "int" ],
    "doc" : "The number of bases in the region with a coverage greater than or equal 15x (this is nullable as it can be calculated from coordinates of the region)"
  }, {
    "name" : "bases_gte_30x",
    "type" : [ "null", "int" ],
    "doc" : "The number of bases in the region with a coverage greater than or equal 30x (this is nullable as it can be calculated from coordinates of the region)"
  }, {
    "name" : "bases_gte_50x",
    "type" : [ "null", "int" ],
    "doc" : "The number of bases in the region with a coverage greater than or equal 50x (this is nullable as it can be calculated from coordinates of the region)"
  }, {
    "name" : "gte50x",
    "type" : "float",
    "doc" : "The number of positions with a depth of coverage greater than or equal than 50x\n        (the original name is %>=50x, but this cannot be used as a property name in Avro)"
  }, {
    "name" : "gte30x",
    "type" : "float",
    "doc" : "The number of positions with a depth of coverage greater than or equal than 30x\n        (the original name is %>=30x, but this cannot be used as a property name in Avro)"
  }, {
    "name" : "gte15x",
    "type" : "float",
    "doc" : "The number of positions with a depth of coverage greater than or equal than 15x\n        (the original name is %>=15x, but this cannot be used as a property name in Avro)"
  }, {
    "name" : "lt15x",
    "type" : "float",
    "doc" : "The number of positions with a depth of coverage less than 15x\n        (the original name is %<15x, but this cannot be used as a property name in Avro)"
  }, {
    "name" : "rmsd",
    "type" : [ "null", "float" ],
    "doc" : "The squared root sum of squares of the deviation from the mean"
  } ]
}
